Subject: [sup-talk] Sup crash at startup

From: Ico Doornekamp <[email-masked]>
Date: Wed, 16 Feb 2011 14:43:10 +0100

Out of nowhere my sup started crasing on me. Running latest version from git.
Any ideas, any more info I can provide to diagnose this problem ?

Thanks,

Ico

[Wed Feb 16 14:31:56 +0100 2011] ERROR: oh crap, an exception                                                                  
----------------------------------------------------------------
I'm very sorry. It seems that an error occurred in Sup. Please
accept my sincere apologies. Please submit the contents of
/home/ico/.sup/exception-log.txt and a brief report of the
circumstances to http://masanjin.net/sup-bugs/ so that I might
address this problem. Thank you!

Sincerely,
William
----------------------------------------------------------------
--- RuntimeError from thread: load threads for thread-index-mode

./lib/sup/index.rb:556:in `find_docid'
./lib/sup/index.rb:561:in `find_doc'
./lib/sup/index.rb:571:in `get_entry'
./lib/sup/index.rb:201:in `build_message'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
./lib/sup/index.rb:580:in `synchronize'
./lib/sup/index.rb:201:in `build_message'
./lib/sup/index.rb:195
./lib/sup/thread.rb:349:in `call'
./lib/sup/thread.rb:349:in `load_thread_for_message'
./lib/sup/index.rb:195:in `each_message_in_thread_for'
./lib/sup/index.rb:195:in `each'
./lib/sup/index.rb:195:in `each_message_in_thread_for'
./lib/sup/thread.rb:347:in `load_thread_for_message'
./lib/sup/thread.rb:339:in `load_n_threads'
./lib/sup/index.rb:156:in `each_id_by_date'
./lib/sup/index.rb:251:in `each_id'
./lib/sup/index.rb:251:in `each'
./lib/sup/index.rb:251:in `each_id'
./lib/sup/index.rb:156:in `each_id_by_date'
./lib/sup/thread.rb:334:in `load_n_threads'
./lib/sup/modes/thread-index-mode.rb:640:in `__unprotected_load_n_threads'
(eval):12:in `load_n_threads'
./lib/sup/modes/thread-index-mode.rb:624:in `load_n_threads_background'
./lib/sup.rb:78:in `reporting_thread'
./lib/sup.rb:76:in `initialize'
./lib/sup.rb:76:in `new'
./lib/sup.rb:76:in `reporting_thread'
./lib/sup/modes/thread-index-mode.rb:623:in `load_n_threads_background'
./lib/sup/modes/thread-index-mode.rb:694:in `__unprotected_load_threads'
(eval):12:in `load_threads'
bin/sup:223

-- 
:wq
^X^Cy^K^X^C^C^C^C
_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk